CONNECT TO SAMPLE;

-- Instance parameters using Administration view 

SELECT  SUBSTR(NAME, 1, 25) 	AS INSTANCE_PARM,
        SUBSTR(VALUE, 1, 30) 	AS VALUE,
        VALUE_FLAGS
FROM 	SYSIBMADM.DBMCFG
ORDER BY 1;


-- Database parameters using Administration view

SELECT  SUBSTR(NAME, 1, 25) 	AS DATABASE_PARM,
        SUBSTR(VALUE, 1, 30) 	AS VALUE,
        VALUE_FLAGS
FROM 	SYSIBMADM.DBCFG
ORDER BY 1;
 

-- Registry variables using Administration view

SELECT  SUBSTR(REG_VAR_NAME, 1, 25) 	AS "REGISTRY_VARIABLE",
        SUBSTR(REG_VAR_VALUE, 1, 15) 	AS "REG_VAR_VALUE",
        IS_AGGREGATE,
        SUBSTR(AGGREGATE_NAME, 1, 15) 	AS "AGGREGATE_NAME",
        LEVEL
FROM 	SYSIBMADM.REG_VARIABLES
ORDER BY 1;


-- Product License Administration view

SELECT 	SUBSTR(FEATURE_NAME, 1, 10)	  	AS "FEATURE",
	SUBSTR(FEATURE_FULLNAME, 1, 35)   	AS "FEATURE_NAME",
	LICENSE_INSTALLED   			AS "LIC",
	SUBSTR(PRODUCT_NAME, 1, 5)	  	AS "PRODUCT",
	SUBSTR(FEATURE_USE_STATUS, 1, 15) 	AS "USE_STATUS"
FROM 	SYSIBMADM.ENV_FEATURE_INFO
ORDER BY 1;

CONNECT RESET;
