::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Diagnostic Log Usage
REM ------------------------------------------------------------------- 

TITLE Instance05.CMD - Show Diagnostic Log Usage

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO ---------------------------------------------------------------------
ECHO.


set db2instance=db2

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Finding the last 1 hour of diagnostic log usage
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.											>  Instance05a_OUTPUT.TXT
ECHO ---------------------------------------------------------------------		>> Instance05a_OUTPUT.TXT
ECHO Finding the last 1 hour of diagnostic log usage					>> Instance05a_OUTPUT.TXT
ECHO ---------------------------------------------------------------------		>> Instance05a_OUTPUT.TXT
ECHO. 											>> Instance05a_OUTPUT.TXT

:: Show the last 1 hour of diagnostic log usage

db2diag -H 1h >> Instance05a_OUTPUT.TXT


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Showing a verbose dump of the DB2DIAG.LOG file
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.											>  Instance05b_OUTPUT.TXT
ECHO ---------------------------------------------------------------------		>> Instance05b_OUTPUT.TXT
ECHO Showing a verbose dump of the DB2DIAG.LOG file					>> Instance05b_OUTPUT.TXT
ECHO ---------------------------------------------------------------------		>> Instance05b_OUTPUT.TXT
ECHO.											>> Instance05b_OUTPUT.TXT

:: Show Verbose dump of DB2DIAG.LOG

db2diag -V >> Instance05b_OUTPUT.TXT

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is the DB2DIAG usage
ECHO       Review Instance05a and Instance05b output files for details
ECHO.
ECHO       You can also use functions to return this information.  Try:
ECHO       SELECT * FROM TABLE(PD_GET_LOG_MSGS(current_timestamp - 7 days)) AS T 
ECHO       ORDER BY TIMESTAMP;
ECHO.
ECHO       For last 24 hours of db2diag messages, you can also use 
ECHO       SELECT * FROM SYSIBMADM.PDLOGMSGS_LAST24HOURS view.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on