::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM -------------------------------------------------------------------
REM Database Lab 02 - Create a Database in a different instance                                 
REM -------------------------------------------------------------------
REM This script creates a backup database in a backup instance          

TITLE Database01.CMD - Create a Database in a different instance

@echo off
cls

@ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

@echo * =============================================================== *
@echo * Creating a Database managed by DB2BKP instance... 
@echo * =============================================================== *

db2 terminate

set db2instance=db2bkp
db2 get instance
db2start
db2 terminate

db2 -td@ -vf Database02.DB2 -l Database01_OUTPUT.TXT

@echo * =============================================================== *
@echo * Database Created... 
@echo * =============================================================== *

set db2instance=db2
db2 get instance

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Database BACKDB was created under instance DB2BKP.  
ECHO Instance DB2BKP has a catalog entry of this database it manages.
ECHO However, instance DB2 does not have a catalog entry of this database.
ECHO Use the Control Center to discover and catalog database BACKDB.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on

