::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::


REM ---------------------------------------------------------------------
REM Execute an Oracle shell script using the CLPPLUS
REM ---------------------------------------------------------------------

TITLE CLPPlus02.CMD - CLPPLUS execute a batch script

SET OUTFILE=%~n0_OUTPUT_REPORT.TXT

@echo off
cls

ECHO ---------------------------------------------------------------------
ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE%%TIME%
ECHO ---------------------------------------------------------------------


ECHO ---------------------------------------------------------------------
ECHO Setting the compatibility vector		
ECHO ---------------------------------------------------------------------

db2stop force
db2set db2_compatibility_vector=FFF
db2set DB2_SQLROUTINE_PREPOPTS=
db2start
db2 terminate

ECHO ---------------------------------------------------------------------			
ECHO Execute an Oracle shell script using the CLPPLUS using this syntax:	 
ECHO. 											 
ECHO clpplus db2cobra/db2cobra@localhost:50000/sample @CLPPlus03.SQL 		 
ECHO.
ECHO Review %OUTFILE% for the formatted report 		
ECHO ---------------------------------------------------------------------
                                                       

REM                                                    SCRIPT  
REM                           HOST       PORT DATABASE   |
REM          USERID  PASSWORD  |          |      |       |
REM  INVOKE    |       |       |          |      |       |
REM  CLPPLUS   |       |       |          |      |       |
REM     |      |       |       |          |      |       |
REM     v      v       v       v          v      v       v
REM
REM  clpplus dbapot/dbapot123@localhost:50000/sample @CLPPlus03.SQL
REM


clpplus dbapot/dbapot123@localhost:50000/sample @CLPPlus03.SQL


ECHO ---------------------------------------------------------------------
ECHO Note: review %OUTFILE% for the formatted report		    
ECHO ---------------------------------------------------------------------
ECHO.