REM Oracle script examples - using native Oracle syntax 
REM ---------------------------------------------------

set termout	Off;
set echo 	off;
set linesize   	250;
set pagesize   	45;
set headsep    '!'
set newpage    	1;

spool CLPPlus06_OUTPUT_REPORT.TXT;

SELECT 'DECODE AND ROWNUM EXAMPLE'AS EXAMPLE_1 FROM DUAL;

SELECT  WORKDEPT, 
	DECODE(WORKDEPT,'A01','MAIN DEPARTMENT',
			'B01','BASEMENT',
			'C01','COMPUTER DEPARTMENT',
			'D11','DESIGN DEPARTMENT',
			      'OTHER DEPARTMENT') AS DEPARTMENT
FROM    EMPLOYEE 
WHERE	ROWNUM BETWEEN 5 AND 15;


SELECT 'USER, SYSDATE AND DUAL'AS EXAMPLE_2 FROM DUAL;

SELECT 	SUBSTR(USER,1,10) AS USER, 
	SYSDATE AS CURR_DATE 
FROM 	DUAL						
;

SELECT 'NVL'AS EXAMPLE_3 FROM DUAL;

SELECT 	DEPTNO, 
	DEPTNAME, 
	NVL(MGRNO,'NO MGR') AS MANAGER 
FROM   	DEPT AS DEPT
;


set termout off;

exit;