::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Demonstrate PL/SQL compatibility using the CLP
REM ----------------------------------------------------------------------

TITLE CLPPlus08.CMD - PLSQL Compatibilty with the CLP

SET OUTFILE=%~n0_OUTPUT_REPORT.TXT

@echo off
cls

ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE%%TIME%
ECHO ---------------------------------------------------------------------

SET DB2INSTANCE=DB2

DB2 CONNECT TO SAMPLE 

ECHO --------------------------------------------------------------------- 	>> %OUTFILE%
ECHO Execute an Oracle shell script to create an PL/SQL stored procedure	>> %OUTFILE%
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%
ECHO.                                                         			>> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Execute an Oracle shell script to create an PL/SQL stored procedure
ECHO ---------------------------------------------------------------------
ECHO.

DB2 SET SQLCOMPAT PLSQL

DB2 -td; -vf CLPPlus09.SQL -l  %OUTFILE%

DB2 CALL TEST_PLSQL(1,?)
DB2 CALL TEST_PLSQL(1,?)  >> %OUTFILE%

ECHO.

DB2 SET SQLCOMPAT DB2

ECHO ---------------------------------------------------------------------
ECHO Note: review %OUTFILE% file 
ECHO ---------------------------------------------------------------------
ECHO.