::  DB2 9.7 Admin for the Oracle DBA
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Demonstrate Currently Committed behavior
REM ----------------------------------------------------------------------

TITLE CLPPlus30.CMD - Demonstrate Currently Committed behavior

@echo off
cls

ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME%
ECHO ---------------------------------------------------------------------
ECHO ---------------------------------------------------------------------
ECHO Demonstrate Currently Committed behavior		
ECHO ---------------------------------------------------------------------
ECHO.                                                         			

SET DB2INSTANCE=DB2


ECHO ---------------------------------------------------------------------
ECHO Connect to the SAMPLE database as user dbapot		
ECHO ---------------------------------------------------------------------
ECHO.

DB2 CONNECT TO SAMPLE user dbapot using dbapot123


ECHO ---------------------------------------------------------------------
ECHO Display DB CFG parameter CUR_COMMIT		
ECHO ---------------------------------------------------------------------
ECHO.

DB2 get db cfg | FindStr CUR_COMMIT


ECHO ---------------------------------------------------------------------
ECHO Show contents of table INVENTORY		
ECHO ---------------------------------------------------------------------
ECHO.

DB2 SELECT PID, QUANTITY, SUBSTR(LOCATION,1,15) AS LOCATION FROM DBAPOT.INVENTORY

ECHO ---------------------------------------------------------------------
ECHO UPDATE table inventory, but with auto commit off in order to lock the
ECHO row the update is being made on		
ECHO ---------------------------------------------------------------------
ECHO.                                                         			

DB2 +c UPDATE DBAPOT.INVENTORY SET Quantity = Quantity+5 where PID = '100-100-01'


ECHO ---------------------------------------------------------------------
ECHO Table INVENTORY now has one row locked without a commit...
ECHO.
ECHO Use another DB2 CLP Command Window to check how to see this data
ECHO using Currently Comitted...
ECHO ---------------------------------------------------------------------
ECHO.