-- 
-- Oracle Schema:  ALTER TABLE ADD PRIMARY KEYS
--

ALTER TABLE "CALL_STACKS" 
    ADD  
    PRIMARY KEY ("MODULE", "SEQ_NUMBER", "CALL_ORDER")   
;

ALTER TABLE "CLASSES" 
    ADD  CONSTRAINT "CLASSES_DEPARTMENT_COURSE" 
    PRIMARY KEY ("DEPARTMENT", "COURSE")   
;

ALTER TABLE "ERRORS" 
    ADD  
    PRIMARY KEY ("MODULE", "SEQ_NUMBER")   
;

ALTER TABLE "ERROR_STACKS" 
    ADD  
    PRIMARY KEY ("MODULE", "SEQ_NUMBER", "ERROR_ORDER")   
;

ALTER TABLE "ROOMS" 
    ADD  
    PRIMARY KEY ("ROOM_ID")   
;

ALTER TABLE "STUDENTS" 
    ADD  
    PRIMARY KEY ("ID")   
;

