--
-- Oracle Schema:  ALTER TABLE ADD FOREIGN KEY CONSTRAINT
--

ALTER TABLE "CLASSES" 
    ADD CONSTRAINT "CLASSES_ROOM_ID" 
    FOREIGN KEY ("ROOM_ID") 
    REFERENCES "ROOMS" ("ROOM_ID") 
;

ALTER TABLE "REGISTERED_STUDENTS" 
    ADD CONSTRAINT "RS_STUDENT_ID" 
    FOREIGN KEY ("STUDENT_ID") 
    REFERENCES "STUDENTS" ("ID") 
;

ALTER TABLE "REGISTERED_STUDENTS" 
    ADD CONSTRAINT "RS_DEPARTMENT_COURSE" 
    FOREIGN KEY ("DEPARTMENT", "COURSE") 
    REFERENCES "CLASSES" ("DEPARTMENT", "COURSE") 
;

ALTER TABLE "CALL_STACKS" 
    ADD 
    FOREIGN KEY ("MODULE", "SEQ_NUMBER") 
    REFERENCES "ERRORS" ("MODULE", "SEQ_NUMBER") ON DELETE CASCADE 
;

ALTER TABLE "ERROR_STACKS" 
    ADD 
    FOREIGN KEY ("MODULE", "SEQ_NUMBER") 
    REFERENCES "ERRORS" ("MODULE", "SEQ_NUMBER") ON DELETE CASCADE 
;