-- 
-- Oracle Schema:  CREATE VIEWS
--

CREATE OR REPLACE VIEW "EXCEPTION_VIEW" 
    (
    "EXCEPTION_DESCRIPTION",
    "DATE_OCCURRED"
    ) 
    AS  SELECT EXCEPTION_COL,
         date_occurred
    FROM EXCEPTION_TABLE
/

CREATE OR REPLACE VIEW "ROOM_SUMMARY" 
    (
    "BUILDING",
    "TOTAL_SEATS"
    ) 
    AS  SELECT building, sum(number_seats) total_seats
    FROM rooms
	GROUP BY building
/

