::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM -------------------------------------------------------------------
REM Autonom Lab 05 - CREATE AUTOMAINT_TAB% TABLES                   
REM -------------------------------------------------------------------

TITLE Autonom30.CMD - Create AUTOMAINT_TAB% table 

@echo off
cls

@ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%

SET OUTFILE=%~n0_OUTPUT.TXT

set db2instance=db2

db2set DB2_SQLROUTINE_PREPOPTS="EXPLAIN NO EXPLSNAP NO" > %OUTFILE%

db2stop force
db2start

db2 connect to autonmdb

db2 -vtd; -f Autonom31.DDL -z %OUTFILE%
db2 -vtd@ -f Autonom32.DDL -z %OUTFILE%

db2 RUNSTATS ON TABLE %USERNAME%.AUTOMAINT_TAB1 ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS 
db2 RUNSTATS ON TABLE %USERNAME%.AUTOMAINT_TAB2 ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS 
db2 RUNSTATS ON TABLE %USERNAME%.AUTOMAINT_TAB3 ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS 
db2 RUNSTATS ON TABLE %USERNAME%.AUTOMAINT_TAB4 ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS 

db2 connect reset
