::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Autonom Lab 05 - Simulate activity against the AUTOMAINT_TAB tables 
REM ----------------------------------------------------------------------


TITLE Autonom37.CMD - Simulate activity against AUTOMAINT_TAB% tables

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls
@ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%

db2 terminate
set db2instance=db2
db2stop force
db2start

db2 connect to autonmdb

db2 -td; -vf Autonom38.DML -l %OUTFILE%

db2 connect reset


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: You now have AUTOMAINT_TAB% tables with no statistics that also 
ECHO       have had DML run against them to simulate activity.
ECHO       The Automatic maintenance utility should now create statistics 
ECHO       for these during its next scheduled window.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on