::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------- 
REM Security Lab 06 - Schema Lesson                                     
REM ---------------------------------------------------------------------- 

TITLE %~n0.CMD - Schema Lesson

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 	   > %OUTFILE%

db2 CONNECT TO SAMPLE 							   > NUL

db2 DROP TABLE TSCHEM.TSCHEM_TABLE 					   > NUL

db2 DROP SCHEMA TSCHEM RESTRICT 					   > NUL

db2 -v CREATE SCHEMA TSCHEM 						   >> %OUTFILE%

db2 -v COMMENT ON Schema TSCHEM IS 'PoT Test Schema' 			   >> %OUTFILE%

db2 -v "CREATE TABLE TSCHEM.TSCHEM_TABLE (COL1 CHAR(1))" 	  	   >> %OUTFILE%

db2 -v "INSERT INTO TSCHEM.TSCHEM_TABLE VALUES ('A'), ('B'), ('C')" 	   >> %OUTFILE%

ECHO.
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Selecting from table TSCHEM_TABLE qualified ...                       >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
db2 -v "SELECT * FROM TSCHEM.TSCHEM_TABLE" >> %OUTFILE%


ECHO.
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Selecting from table TSCHEM_TABLE unqualified...                      >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
db2 -v SET SCHEMA TSCHEM >> %OUTFILE%
db2 -v "SELECT * FROM TSCHEM_TABLE" >> %OUTFILE%

db2 CONNECT RESET > NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO The heart of the script was to show True Schema support.
ECHO Please review the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.

