::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------- 
REM Explain Lab 07 - db2exfmt                                           
REM ---------------------------------------------------------------------- 
REM This script executes DB2EXFMT explain utility                       

TITLE Explain08.CMD - db2exfmt

ECHO off
cls
@ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

set db2instance=db2

db2 connect to gsdb

db2 -vtd; -f Explain09.DML 

REM                                                         
REM                                                               output file   
REM						       timestamp    	|
REM					   source schema  |	  	|	
REM				    source name	 |	  |	  	|
REM	  	       explain schema   |	 |	  |	  	|
REM	           all stats  	|       |	 |	  |	  	|
REM	   database   |		|       | 	 |	  |	  	|
REM	     |	      |		|       |	 |	  |	  	|
REM	     v        v         v       v        v        v       	v

db2exfmt -d GSDB   -g tic     -e %%   -n %%    -s %%    -w %% -# 0    -O Explain08_OUTPUT_PLAN.TXT


db2 connect reset

ECHO on

