::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------- 
REM Explain Lab 07 - db2expln - static (package)                                  
REM ---------------------------------------------------------------------- 
REM This script executes DB2EXPLN explain utility in static mode        

TITLE Explain11.CMD - db2expln - static

@echo off
cls
@ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

IF "%1" == "" GOTO :Usage

REM 
REM						       output file
REM					  create graph	  |	
REM				   section	|	  |
REM	  	       	      package   |	|	  |
REM	           schema     	 |      |	|	  |
REM	   database   |		 |      | 	|	  |
REM	     |	      |		 |      |	|	  |
REM	     V	      V          V      V       V         V

db2expln -d GSDB  -c %USERNAME% -p %1  -s 0   -graph -i -o Explain11_OUTPUT_PLAN.TXT 

goto :end


:Usage
@ECHO You did not provide a parameter for this script!
@ECHO.
@ECHO Usage: Explain11 package_name e.g. P1234567
@ECHO.

:end
@ECHO on