--#SET TERMINATOR /

SELECT varchar(tabschema,10) as tabschema,
       varchar(tabname,15) as tabname,
       sum(rows_read) as total_rows_read,
       sum(rows_inserted) as total_rows_inserted,
       sum(rows_updated) as total_rows_updated,
       sum(rows_deleted) as total_rows_deleted
FROM   TABLE(MON_GET_TABLE('','',-2)) AS t
WHERE  tabschema = USER 
AND    tabname   = 'MONITOR_TAB'
GROUP BY tabschema, tabname
ORDER BY total_rows_read DESC
/


SELECT varchar(container_name, 60) as container_name,
       varchar(tbsp_name,20) as tbsp_name, 
       integer(pool_read_time) as pool_read_time
FROM TABLE(MON_GET_CONTAINER('',-1)) AS t
ORDER BY pool_read_time DESC
/
