::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM  Example of monitoring using Activity Monitor
REM ----------------------------------------------------------------------

TITLE %~n0.CMD - Example of monitoring using Activity Monitor

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO.

SET DB2INSTANCE=DB2

db2 CONNECT TO SAMPLE

db2 SET SERVEROUTPUT ON

ECHO ---------------------------------------------------------------------
ECHO Monitor dynmaic Work Load using Activity Monitor
ECHO ---------------------------------------------------------------------
ECHO.

for /L %%Z IN (1 1 3) do (
    cls
    @echo -------------------------
    @echo Monitor RUN %%Z OF 3...
    @echo -------------------------

    db2 -tf Monitor10.SQL > NUL  
)

db2 CONNECT RESET > NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is to show monitoring of dynamic SQL
ECHO       SQL statements using Activity Monitor
ECHO.
ECHO ---------------------------------------------------------------------
ECHO.
