::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt.Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM LIST ALL TIMESTAMPS OF ALL OFFLINE BACKUPS TAKEN ON BKPTEST DATABASE                                   
REM ------------------------------------------------------------------- 

TITLE Backup02.CMD - List History ALL

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO LIST ALL TIMESTAMPS OF ALL BACKUPS TAKEN ON BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.

db2 list history backup all for bkptest

db2 list history backup all for bkptest >> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO TIMESTAMP OF ALL OFFLINE PREVIOUS BACKUPS TAKEN
ECHO ---------------------------------------------------------------------
ECHO.

setlocal
goto :start

:printline
set timestamp=%1                         In God we trust
set timestamp=%timestamp:~0,14%

goto :EOF

:start
FOR /F "tokens=3" %%K in ('db2 list history backup all for bkptest ^| FindStr /C:" B  D " ^| FindStr /C:" F    D "') do call :printline %%K

ECHO ---------------------------------------------------------------------
ECHO MOST RECENT OFFLINE BACKUP TIMESTAMP USING CLP COMMAND IS %timestamp%
ECHO.
ECHO You can also see the TIMESTAMP by looking at the backup file name
ECHO Directory contents of the C:\DB2Backup Directory
ECHO ---------------------------------------------------------------------
ECHO.

DIR C:\DB2Backup

db2 connect to bkptest 		

ECHO.
ECHO ---------------------------------------------------------------------
ECHO ---------------------------------------------------------------------  >> %OUTFILE%
ECHO MOST RECENT OFFLINE BACKUP TIMESTAMP USING SQL 
ECHO MOST RECENT OFFLINE BACKUP TIMESTAMP USING SQL 			    >> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO ---------------------------------------------------------------------  >> %OUTFILE%
ECHO.

db2 -x SELECT max(START_TIME) FROM SYSIBMADM.DB_HISTORY where operation = 'B' and operationtype = 'F'
db2 -x SELECT max(START_TIME) FROM SYSIBMADM.DB_HISTORY where operation = 'B' and operationtype = 'F' >> %OUTFILE%

db2 connect reset 		


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the db2 command 
ECHO 	   LIST HISTORY BACKUP. 
ECHO       Check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
