::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM RECOVER DATABASE BKPTEST                                   
REM ------------------------------------------------------------------- 

TITLE Backup06.CMD - Use RECOVER Command

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO RECOVER DATABASE BKPTEST (AUTOMATICALY DONE FROM MOST RECENT BACKUP)
ECHO ---------------------------------------------------------------------
ECHO.

db2 RECOVER DB BKPTEST TO END OF LOGS 			>> %OUTFILE%

db2 CONNECT TO BKPTEST  				>> %OUTFILE%

db2 "select count(*) BACKUPTEST from BACKUPTEST"
db2 "select count(*) BKPLOAD    from BKPLOAD"
db2 "select count(*) BACKUPTEST from BACKUPTEST" 	>> %OUTFILE%
db2 "select count(*) BKPLOAD    from BKPLOAD" 		>> %OUTFILE%
db2 CONNECT RESET  					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is simple RECOVER 
ECHO       command RECOVER DB BKPTEST TO END OF LOGS
ECHO       Please review that portion carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.

