::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM RESTORE A HISTORY FILE FROM THE MOST RECENT ONLINE BACKUP                                                
REM ------------------------------------------------------------------- 

TITLE Backup09.CMD - Restore History File from recent online backup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO RESTORE A HISTORY FILE FROM THE MOST RECENT ONLINE BACKUP 
ECHO ---------------------------------------------------------------------
ECHO.

FOR /F "tokens=1" %%K in ('call Backup22.bat') do SET TIMESTAMP=%%K

ECHO MOST RECENT ONLINE BACKUP TIMESTAMP IS : %timestamp%
ECHO MOST RECENT ONLINE BACKUP TIMESTAMP IS : %timestamp% >> %OUTFILE%


db2 restore database bkptest history file online from c:\db2backup taken at %timestamp% >> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is db2 command.
ECHO       RESTORE ... HISTORY FILE. Please review it carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
