::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM CLEAN-UP RESOURCES. DROP BKPTEST DATABASE AND REMOVE DIRECTORIES
REM ----------------------------------------------------------------------

TITLE Backup60.BAT - Backup clean-up resources

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO.
ECHO ---------------------------------------------------------------------
ECHO BACKUP LAB - CLEAN-UP RESOURCES - DROP DATABASE AND REMOVE DIRECTORIES
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DROP BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.

db2 connect to bkptest 					> NUL
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	> NUL
db2 UNQUIESCE DATABASE  				> NUL
db2 CONNECT RESET  					> NUL
db2 terminate  						> NUL
db2 deactivate db bkptest  				> NUL
db2 drop database bkptest 				> NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE c:\ LAB RELATED DIRECTORIES
ECHO ---------------------------------------------------------------------
ECHO.

IF EXIST C:\db2backup\nul (
  ECHO.
  rmdir "C:\db2backup" /s/q 				> NUL
)

ECHO.
ECHO DELETE C:\DB2FailureLogArch Directory

IF EXIST C:\DB2FailureLogArch\nul (
  ECHO.
  rmdir "C:\DB2FailureLogArch" /s/q 			> NUL
)

ECHO.
ECHO DELETE C:\DB2LOG Directory

IF EXIST C:\DB2LOG\nul (
  ECHO.
  rmdir "C:\DB2LOG" /s/q 				> NUL
)

ECHO.
ECHO DELETE C:\DB2MirrorLog Directory

IF EXIST C:\DB2MirrorLog\nul (
  ECHO.
  rmdir "C:\DB2MirrorLog" /s/q 				> NUL
)

ECHO.
ECHO DELETE C:\DB2NEWLOC Directory

IF EXIST C:\DB2NEWLOC\nul (
  ECHO.
  rmdir "C:\DB2NEWLOC" /s/q 				> NUL
)

ECHO.
ECHO DELETE C:\DB2PrimaryLogArch Directory

IF EXIST C:\DB2PrimaryLogArch\nul (
  ECHO.
  rmdir "C:\DB2PrimaryLogArch" /s/q 			> NUL
)

ECHO.
ECHO DELETE C:\DB2PrimaryLogArch Directory

IF EXIST C:\DB2PrimaryLogArch\nul (
  ECHO.
  rmdir "C:\DB2PrimaryLogArch" /s/q 			> NUL
)

ECHO.
ECHO DELETE C:\DB2LoadData Directory

IF EXIST C:\DB2LoadData\nul (
  ECHO.
  rmdir "C:\DB2LoadData" /s/q 				> NUL
)

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUTPUT FILES FROM C:\POT_DB2\13BACKUP Directory
ECHO ---------------------------------------------------------------------
ECHO.

del "C:\POT_DB2\13BACKUP\*_OUTPUT.TXT" 	/s/q/f 		> NUL
del "C:\POT_DB2\13BACKUP\*.MSG" 	/s/q/f 		> NUL
del "C:\POT_DB2\13BACKUP\*.OUT" 	/s/q/f 		> NUL
del "C:\POT_DB2\13BACKUP\redirect.SQL" 	/s/q/f 		> NUL

