::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ---------------------------------------------------------------------- 
REM Cleanup the resources used by HADR Lab 
REM ---------------------------------------------------------------------- 

TITLE HADR50.BAT - HADR clean-up resources

SET OUTFILE=%~n0_OUTPUT.TXT
@ECHO OFF

cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO HADR LAB - CLEAN-UP RESOURCES.
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO INSTANCE DB2 CLEAN-UP
ECHO ---------------------------------------------------------------------
ECHO.


set DB2INSTANCE=DB2
db2 UNCATALOG DB   HADBP 			> NUL
db2 UNCATALOG NODE DB2_P 			> NUL
db2 UNCATALOG DB   HADBS 			> NUL
db2 UNCATALOG NODE DB2_S 			> NUL

IF EXIST C:\DB2Backup\nul (
   rmdir "C:\DB2Backup" /s/q 			> NUL
)
IF EXIST C:\DB2HADRSharedLogArch\nul (
   rmdir "C:\DB2HADRSharedLogArch" /s/q 	> NUL
)
IF EXIST C:\DB2HADRData\nul (
   rmdir "C:\DB2HADRData" /s/q 			> NUL
)


ECHO.
ECHO ---------------------------------------------------------------------
ECHO INSTANCE DB2_P CLEAN-UP
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2_P
db2start					> NUL
db2 drop database hadb				> NUL
db2 terminate  					> NUL
db2stop FORCE  					> NUL
set db2instance=DB2_S				> NUL
db2idrop DB2_P 					> NUL



del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2_P\stmmlog\stmm.0.log" /s/q/f > NUL

IF EXIST C:\DB2_P\nul (
  rmdir "C:\DB2_P" /s/q 			> NUL
)

IF EXIST "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2_P"  (
   rmdir "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2_P" /s/q  > NUL
)

ECHO.
ECHO ---------------------------------------------------------------------
ECHO INSTANCE DB2_S CLEAN-UP
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2_S
db2 terminate 					> NUL
db2start					> NUL
db2 drop database hadb				> NUL
db2stop FORCE  					> NUL
set db2instance=DB2				> NUL
db2idrop DB2_S 					> NUL

del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2_S\stmmlog\stmm.0.log" /s/q/f > NUL


IF EXIST C:\DB2_S\nul (
  rmdir "C:\DB2_S" /s/q 			> NUL
)


IF EXIST "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2_S"  (
   rmdir "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2_S" /s/q  > NUL
)

ECHO.
ECHO ---------------------------------------------------------------------
ECHO C:\POT_DB2\14HADR DIRECTORY CLEAN-UP
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2				> NUL

del "C:\POT_DB2\14HADR\*_OUTPUT.TXT" /s/q/f 	> NUL
del "C:\POT_DB2\14HADR\HADR05.MSG"   /s/q/f 	> NUL

