::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------
REM WLM - Customize a WLM environment   
REM ----------------------------------------------------------------------

TITLE WLM03.CMD - Customize a WLM environment 

SET OUTFILE=%~n0_OUTPUT.TXT

ECHO off
cls

ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.


ECHO ---------------------------------------------------------------------
ECHO Customizing the WLM environment
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate
set db2instance=db2
db2start

DB2 CONNECT TO SAMPLE USER db2cobra using db2cobra

db2 -td; -f WLM04.DB2 >> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Setting up WLM event monitors
ECHO ---------------------------------------------------------------------
ECHO.

REM use DB2 sample script to create event monitors

db2 -td; -f wlmevmon.ddl >> %OUTFILE%

DB2 SET  EVENT MONITOR DB2DETAILDEADLOCK  STATE 0
DB2 DROP EVENT MONITOR DB2DETAILDEADLOCK


ECHO ---------------------------------------------------------------------
ECHO WLM Environment customized
ECHO ---------------------------------------------------------------------
ECHO.
