::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM -------------------------------------------------
REM WLM LAB  - use db2pd to explore WLM objects   
REM -------------------------------------------------

TITLE WLM10.CMD -  use db2pd to explore and monitor WLM objects

SET OUTFILE=%~n0_OUTPUT.TXT

ECHO off
cls

ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.


ECHO -----------------------------------------------
ECHO db2pd to explore and monitor WLM objects
ECHO -----------------------------------------------
ECHO.

db2 terminate
set db2instance=db2
db2 get instance

DB2 CONNECT TO SAMPLE user db2cobra using db2cobra

ECHO.							>>%OUTFILE%
ECHO ----------------------------------------------- 	>>%OUTFILE%
ECHO DB2PD WORKLOADS OUTPUT				>>%OUTFILE%
ECHO -----------------------------------------------	>>%OUTFILE%
ECHO.							>>%OUTFILE%

db2pd -db SAMPLE -workloads >>%OUTFILE%


ECHO.							>>%OUTFILE%
ECHO ----------------------------------------------- 	>>%OUTFILE%
ECHO DB2PD SERVICE CLASS OUTPUT				>>%OUTFILE%
ECHO -----------------------------------------------	>>%OUTFILE%
ECHO.							>>%OUTFILE%

db2pd -db SAMPLE -serviceclasses >>%OUTFILE%


ECHO.							>>%OUTFILE%
ECHO ----------------------------------------------- 	>>%OUTFILE%
ECHO DB2PD WORK ACTION SETS OUTPUT			>>%OUTFILE%
ECHO -----------------------------------------------	>>%OUTFILE%
ECHO.							>>%OUTFILE%

db2pd -db SAMPLE -workactionsets >>%OUTFILE%


ECHO.							>>%OUTFILE%
ECHO ----------------------------------------------- 	>>%OUTFILE%
ECHO DB2PD WORK CLASS SETS OUTPUT			>>%OUTFILE%
ECHO -----------------------------------------------	>>%OUTFILE%
ECHO.							>>%OUTFILE%

db2pd -db SAMPLE -workclasssets >>%OUTFILE%


ECHO.							>>%OUTFILE%
ECHO ----------------------------------------------- 	>>%OUTFILE%
ECHO DB2PD THRESHOLDS OUTPUT				>>%OUTFILE%
ECHO -----------------------------------------------	>>%OUTFILE%
ECHO.							>>%OUTFILE%

db2pd -db SAMPLE -thresholds >>%OUTFILE%


ECHO.							
ECHO -----------------------------------------------
ECHO Please review file: %OUTFILE%
ECHO -----------------------------------------------
ECHO.
