::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM WLM LAB - Create a WLM_SAMPLE_TABLE to work with      
REM ----------------------------------------------------------------------

TITLE WLM20.CMD -  Create a WLM_SAMPLE_TABLE to work with 

SET OUTFILE=%~n0_OUTPUT.TXT

ECHO off
cls

ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.


ECHO ---------------------------------------------------------------------
ECHO Creating a WLM_SAMPLE_TABLE to execute a workload
ECHO against and to view the WLM environment in action.
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate			>> %OUTFILE%
set db2instance=db2		>> %OUTFILE%
db2 get instance		>> %OUTFILE%

db2 UPDATE DB CFG FOR SAMPLE USING logprimary 10 logsecond 10 logfilsiz 5000

db2stop force			>> %OUTFILE%

db2start			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Generating 200,000 records.  Please wait...
ECHO ---------------------------------------------------------------------

DB2 CONNECT TO SAMPLE user db2cobra using db2cobra

db2 -td; -f WLM21.DDL >> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO WLM_SAMPLE_TABLE created
ECHO ---------------------------------------------------------------------
ECHO.
