::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------- 
REM RESET THE WLM ENVIRONMENT TO DEFAULT
REM ---------------------------------------------------------------------- 

TITLE WLM50.BAT - CLEAN-UP THE WLM ENVIRONMENT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO WLM LAB - RESET THE WLM ENVIRONMENT TO DEFAULT
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DROP THE WLM Environment...
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate
db2stop force
db2start

db2 connect to sample 

db2 -td; -vf WLM51.DDL 			> nul

db2 -td; -vf wlmevmondrop.ddl		> nul

db2 -td@ -vf wlmtiersdefaultdrop.db2	> nul


ECHO.
ECHO ---------------------------------------------------------------------
ECHO DROP WLM sample table, table space and buffer pool
ECHO ---------------------------------------------------------------------
ECHO.

db2 DROP TABLE 		WLM_SAMPLE_TABLE	> NUL
db2 DROP TABLESPACE 	WLM_SAMPLE_TS		> NUL
db2 DROP BUFFERPOOL	WLM_SAMPLE_BP		> NUL


ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUT FILES FROM C:\POT_DB2\15WLM Directory...
ECHO ---------------------------------------------------------------------
ECHO.

del "C:\POT_DB2\15WLM\*_OUTPUT.TXT" /s/q/f > NUL


