-- ------------------------------------------------------------------- 
-- Extra Lab 16 - Create "COMP1.ORDERS" table
-- ------------------------------------------------------------------- 


DROP TABLE COMP1.ORDERS;
DROP TABLESPACE COMP_TS4;
DROP BUFFERPOOL COMP_BP4;

CREATE BUFFERPOOL COMP_BP4 
IMMEDIATE  
SIZE 		AUTOMATIC
PAGESIZE 	4 K;

CREATE  	TABLESPACE COMP_TS4 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	COMP_BP4  
DROPPED TABLE 	RECOVERY OFF;


CREATE TABLE COMP1.ORDERS  
( O_ORDERKEY      BIGINT 	NOT NULL ,   
  O_CUSTKEY       INTEGER 	NOT NULL ,  
  O_ORDERSTATUS   CHAR(1) 	NOT NULL , 
  O_TOTALPRICE    DOUBLE 	NOT NULL ,   
  O_ORDERDATE     DATE 		NOT NULL , 
  O_ORDERPRIORITY CHAR(15) 	NOT NULL ,   
  O_CLERK         CHAR(15) 	NOT NULL , 
  O_SHIPPRIORITY  INTEGER 	NOT NULL )
IN COMP_TS4;

