::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Extra Lab 16 - Compression - COMPLETE REORG OF TABLE COMP1.ORDERS 
REM ------------------------------------------------------------------- 

TITLE Extra06.CMD - COMPRESSION BY COMPLETE REORG 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ----------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% 		>> %OUTFILE%
ECHO ----------------------------------------------------------------------
ECHO.

ECHO. 										>> %OUTFILE%
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%
ECHO Alter table to start compression then REORG to compress               	>> %OUTFILE%
ECHO Alter table to start compression then REORG to compress...please wait             
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%
ECHO. 										>> %OUTFILE%

DB2 CONNECT TO SAMPLE

DB2 ALTER TABLE COMP1.ORDERS COMPRESS YES

DB2 REORG TABLE COMP1.ORDERS ALLOW READ ACCESS RESETDICTIONARY

DB2 RUNSTATS ON TABLE COMP1.ORDERS ON ALL COLUMNS ALLOW WRITE ACCESS

DB2 -tvf Extra16.SQL 								>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO The heart of this script is the alter and reorg of COMP1.ORDERS
ECHO Please review the OUTPUT FILE '%OUTFILE%'.
ECHO ---------------------------------------------------------------------
ECHO.



@echo on