-- ------------------------------------------------------------------- 
-- Extra lab 16 - Creating a compressed index
-- -------------------------------------------------------------------
 
CONNECT TO SAMPLE;

DROP	INDEX DBAPOT.COMPRESSED_INDEX;

CREATE  INDEX DBAPOT.COMPRESSED_INDEX 
	ON COMP3.ORDERS 
	(O_ORDERSTATUS ASC, O_ORDERPRIORITY ASC, O_CLERK ASC) 
	COMPRESS YES 
	ALLOW REVERSE SCANS  
	COLLECT DETAILED  STATISTICS ;

COMMENT ON Index DBAPOT.COMPRESSED_INDEX IS 'Show index compression';


SELECT compress_attr, 
	iid AS index_id, 
	index_compressed,
      	pct_pages_saved,  
	num_leaf_pages_saved 
FROM 	TABLE(sysproc.admin_get_index_compress_info('I', 'DBAPOT', 'COMPRESSED_INDEX', NULL, NULL)) AS t;
