::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Extra Lab 16 - Federation                             
REM ------------------------------------------------------------------- 

TITLE Extra20.CMD - Federation setup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% >> %OUTFILE%
ECHO --------------------------------------------------------------------------------
ECHO.

@echo.
@echo * =============================================================== *
@echo * STEP #1 - Update the DBM config parameter FEDERATED=YES
@echo * =============================================================== *
@echo.

set db2instance=db2
db2start
DB2 UPDATE DBM CFG USING FEDERATED YES DEFERRED
db2stop force
db2start

DB2 CONNECT TO SAMPLE2

@echo.
@echo * =============================================================== *
@echo * STEP #2 THROUGH 5
@echo * =============================================================== *
@echo.

db2 -tvf Extra21.DDL -z %OUTFILE%
db2 connect reset


ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Federation setup has 5 steps:
ECHO #1 Enable the federation through an instance parameter change
ECHO #2 Create the wrapper
ECHO #3 Create the server defintion
ECHO #4 Create the user mapping
ECHO #5 Create the nickname
ECHO --------------------------------------------------------------------------------
ECHO.

@echo on