::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
:: 
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::
REM ------------------------------------------------------------------- 
REM WARNING: THIS SCRIPT RESETS THE ENTIRE PoT TO ITS BEGINNING!!!
REM -------------------------------------------------------------------
REM Do not run this script unless you want all instances and databases
REM created in this PoT erased!  The database SAMPLE will also be
REM recreated.                          
REM ------------------------------------------------------------------- 
REM         

TITLE UseWithCareResetPOT.cmd - This script resets the entire PoT!

@echo off
cls
@echo.
@echo WARNING!  THIS SCRIPT IS ABOUT TO DELETE ALL INSTANCES AND DATABASES
@echo           CREATED BY THE PoT LABS!
@echo.
@echo           Note: Close the Control Center before continuing
@echo.
@echo           If you want to continue press any key, otherwise press 
@echo           CTRL-C and answer "Y" to "Terminate batch job (Y/N)?"           
@echo.
pause

@echo * ========================================================== *
@echo * Begin Cleaup of Entire Proof of Technology Labs...
@echo * ========================================================== *

db2 terminate
set db2instance=db2


@echo * ========================================================== *
@echo * Run cleanup scripts from each lab ...
@echo * ========================================================== *

call "C:\POT_DB2\01INSTANCE\Instance50.BAT"
call "C:\POT_DB2\02DATABASE\Database50.BAT"
call "C:\POT_DB2\03CLPPLUS\CLPPLUS50.BAT"
call "C:\POT_DB2\04DATASTUDIO\DATASTUDIO50.BAT"
call "C:\POT_DB2\05AUTONOM\Autonom50.BAT"
call "C:\POT_DB2\06SECURITY\SECURITY50.BAT"
call "C:\POT_DB2\07EXPLAIN\Explain50.BAT"
call "C:\POT_DB2\08MONITOR\MONITOR50.BAT"
call "C:\POT_DB2\09PUREXML\pureXML50.BAT"
call "C:\POT_DB2\10MDC\MDC50.BAT"
call "C:\POT_DB2\11DESIGN\Design50.BAT"
call "C:\POT_DB2\12DATA\Data50.BAT"
call "C:\POT_DB2\13BACKUP\Backup60.BAT"
call "C:\POT_DB2\14HADR\HADR50.BAT"
call "C:\POT_DB2\15WLM\WLM50.BAT"
call "C:\POT_DB2\16EXTRA\Extra50.BAT"


@echo * ========================================================== *
@echo * Set up the PoT for the next session...
@echo * ========================================================== *

call "C:\POT_DB2\00SETUP\Setup01.BAT"
call "C:\POT_DB2\00SETUP\Setup50.BAT"

del  "C:\POT_DB2\99INSTRUCTOR\*.mtxt" 	/s/q/f > NUL

@echo * ========================================================== *
@echo * RESET of PoT Complete
@echo * ========================================================== *

@echo on