::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Instance Lab 01 - Catalog an Instance                               
REM ------------------------------------------------------------------- 

TITLE Instance01.CMD - Catalog an Instance

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% 		>> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.


set db2instance=db2

DB2 CATALOG LOCAL NODE DB2BKP INSTANCE DB2BKP SYSTEM %COMPUTERNAME% OSTYPE WIN >> %OUTFILE%

DB2 TERMINATE

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is the DB2 CATALOG LOCAL NODE command
ECHO       Review %OUTFILE% for output for details
ECHO.
ECHO       You can also check to see if you can view the instance DB2BKP
ECHO       in the Control Center.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on