::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::


REM ---------------------------------------------------------------------- 
REM db2gcf DB2 Generic Control Facility - Instance monitoring, controlling
REM ---------------------------------------------------------------------- 

TITLE Instance08.CMD - db2gcf DB2 Generic Control Facility 

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Start DB2BKP instance even when set to DB2 instance
ECHO ---------------------------------------------------------------------
ECHO.
ECHO ---------------------------------------------------------------------	>  Instance08a_OUTPUT.TXT
ECHO Start DB2BKP instance even when set to DB2 instance 			>> Instance08a_OUTPUT.TXT
ECHO ---------------------------------------------------------------------	>> Instance08a_OUTPUT.TXT


set db2instance=db2

db2 get instance 	>> Instance08a_OUTPUT.TXT

db2gcf -u -i db2bkp 	>> Instance08a_OUTPUT.TXT

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Monitor DB2BKP instance from DB2 instance
ECHO ---------------------------------------------------------------------
ECHO.

ECHO ---------------------------------------------------------------------	>> Instance08b_OUTPUT.TXT
ECHO Monitor DB2BKP instance from DB2 instance					>> Instance08b_OUTPUT.TXT
ECHO ---------------------------------------------------------------------	>> Instance08b_OUTPUT.TXT

db2 get instance 	>> Instance08b_OUTPUT.TXT

db2gcf -s -i db2bkp >> Instance08b_OUTPUT.TXT


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is the db2gcf usage
ECHO       Review Instance08a and Instance08b file output for details
ECHO.
ECHO       Note how you can control one instance while set to another
ECHO ---------------------------------------------------------------------
ECHO.

@echo on