::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM db2cfexp - Connectivity Configuration Export Tool
REM ------------------------------------------------------------------- 

TITLE Instance09.CMD - Connectivity Configuration Export Tool

@echo off
cls

SET OUTFILE=%~n0_OUTPUT.TXT

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO ---------------------------------------------------------------------
ECHO.


set db2instance=db2

ECHO.
ECHO ---------------------------------------------------------------------
ECHO db2cfexp - Connectivity Configuration Export Tool
ECHO ---------------------------------------------------------------------
ECHO.


db2cfexp %OUTFILE% BACKUP


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is the db2cfexp usage
ECHO       Review %OUTFILE% for output from this utility
ECHO.
ECHO       This output would be used as input for db2cfimp tool
ECHO       which allows you to pass all your instance and database
ECHO       catalogs and other connectivity settings to someone else.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on