::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM CLEAN-UP RESOURCES for Instance Lab
REM ------------------------------------------------------------------- 

TITLE Instance50.BAT - Instance Clean-up resources

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO INSTANCE LAB - CLEAN-UP RESOURCES
ECHO ---------------------------------------------------------------------
ECHO.

@echo * =============================================================== *
@echo * Cleaning up instance db2
@echo * =============================================================== *

db2 terminate
set db2instance=db2
db2start

db2 catalog 	database toolsdb
db2 uncatalog 	database backdb
db2 uncatlog 	node db2bkp
db2 uncatalog	node db2prod


@echo * =============================================================== *
@echo * Deleting Instance db2bkp and its database...
@echo * =============================================================== *

db2 terminate
set db2instance=db2bkp
db2start
db2 drop database backdb
db2stop force
set db2instance=db2
db2 uncatalog node db2bkp
db2idrop db2bkp

del     "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2BKP\stmmlog\stmm.0.log" 	/s/q/f > NUL
rmdir	"C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2BKP" 				/s/q   > NUL

@echo * =============================================================== *
@echo * Deleting Instance db2jnk...
@echo * =============================================================== *

db2 terminate
set db2instance=db2jnk
db2stop force
set db2instance=db2
db2 uncatalog node db2jnk
db2idrop db2jnk

del     "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2JNK\stmmlog\stmm.0.log" 	/s/q/f > NUL
rmdir	"C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2JNK" 				/s/q   > NUL


ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUT FILES FROM C:\POT_DB2\01INSTANCE Directory 
ECHO DELETE ALL Unneeded files from Instance path
ECHO ---------------------------------------------------------------------
ECHO.

del "C:\POT_DB2\01INSTANCE\*_OUTPUT.TXT" 		/s/q/f > NUL
del "C:\POT_DB2\01INSTANCE\*_OUT.zip" 			/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\Instance06.DAT" 		/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\db2sampl_Import.msg" 	/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\db2eventlog.000"		/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\*.locklist.txt"		/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\*.dump.bin"  		/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\*.stack.bin"		/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\*.trap.bin"    		/s/q/f > NUL
del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\*.apm.bin" 		/s/q/f > NUL
