::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::


REM --------------------------------------------------------------------- 
REM Show how AUTO_REVAL and create with error works
REM --------------------------------------------------------------------- 

TITLE Database10.CMD - Show how AUTO_REVAL and create with error works

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO ---------------------------------------------------------------------
ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE%%TIME%
ECHO ---------------------------------------------------------------------
ECHO.

SET DB2INSTANCE=DB2	
db2start	
db2 terminate						

ECHO ---------------------------------------------------------------------
ECHO Creating objects without referenced objects
ECHO ---------------------------------------------------------------------
ECHO.

db2 connect to sample

db2 update db cfg using auto_reval deferred_force

db2 -td; -vf Database11.DDL -z %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO For details of how this worked, check file: %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.



