::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM -------------------------------------------------------------------
REM CLEAN-UP RESOURCES 
REM -------------------------------------------------------------------

TITLE Database50.BAT - Database Clean-up resources

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO DATABASE LAB - CLEAN-UP RESOURCES. 
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=db2bkp
db2stop force
db2start
db2 drop database backdb
db2stop

set db2instance=db2
db2start
db2 uncatalog database backdb
db2 drop database sample2
db2 terminate


@echo * ================================================================ *
@echo * Lab 02 Database Clean up
@echo * ================================================================ *

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUT FILES FROM C:\POT_DB2\02DATABASE Directory
ECHO ---------------------------------------------------------------------
ECHO.

del "C:\POT_DB2\02DATABASE\*_OUTPUT*.TXT" /s/q/f > NUL
del "C:\POT_DB2\02DATABASE\DB_OUT?.TXT"   /s/q/f > NUL
del "C:\POT_DB2\02DATABASE\*.EVT" 	  /s/q/f > NUL


set db2instance=db2
db2start
db2 get instance
db2 connect to sample

db2 -td; -vf Database51.DDL 