::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------
REM Show Oracle dictionary views
REM ---------------------------------------------------------------------

TITLE CLPPlus05.CMD - Show Oracle dictionary

SET OUTFILE=%~n0_OUTPUT_REPORT.TXT

@echo off
cls

ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE%%TIME%
ECHO ---------------------------------------------------------------------

SET DB2INSTANCE=DB2

DB2 CONNECT TO SAMPLE 

ECHO ------------------------------	>  %OUTFILE%	
ECHO Oracle dictionary views in DB2	>> %OUTFILE%
ECHO ------------------------------	>> %OUTFILE%
ECHO.                                                         			>> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Show Oracle dictionary views		
ECHO ---------------------------------------------------------------------
ECHO.


DB2 -x select RTRIM(SUBSTR(table_name,1,30)) from sysibmadm.dictionary  	>> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO Note: review %OUTFILE% file 
ECHO ---------------------------------------------------------------------
ECHO.