-- 
-- Oracle Schema:  CREATE SEQUENCES
--

CREATE SEQUENCE "ERROR_SEQ" 
    MINVALUE 1 
    MAXVALUE 99999999
    INCREMENT BY 1 
    START WITH 1 
    CACHE 20 
    NOORDER 
    NOCYCLE ;

CREATE SEQUENCE "STUDENT_SEQUENCE" 
    MINVALUE 1 
    MAXVALUE 99999999 
    INCREMENT BY 1 
    START WITH 10100 
    CACHE 20 
    NOORDER 
    NOCYCLE ;

CREATE SEQUENCE "TEMP_SEQ" 
    MINVALUE 1 
    MAXVALUE 99999999 
    INCREMENT BY 1 
    START WITH 21 
    CACHE 2 
    NOORDER 
    CYCLE ;

CREATE SEQUENCE "TRIGGER_SEQ" 
    MINVALUE 100 
    MAXVALUE 99999999 
    INCREMENT BY 10 
    START WITH 100
    CACHE 10 
    NOORDER 
    NOCYCLE ;
