::  IBM DB2 Cobra Training
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM CLEAN-UP RESOURCES for the DATASTUDIO LAB
REM ----------------------------------------------------------------------

TITLE DATASTUDIO50.BAT - Cleanup resources

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO By: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO DATASTUDIO - CLEAN-UP RESOURCES. 
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUT FILES FROM C:\POT_DB2\04DATASTUDIO
ECHO ---------------------------------------------------------------------
ECHO.

REM ----------------------------------------------------------------------
REM Deleting the Data Studio Workspace - Resetting DS environment                           
REM ----------------------------------------------------------------------


del "C:\POT_DB2\04DATASTUDIO\*_OUTPUT*.TXT" 	/s/q/f > NUL

rmdir "C:\POT_DB2\04DATASTUDIO\.metadata\" 	/s/q   > NUL  2>&1
rmdir "C:\POT_DB2\04DATASTUDIO\MyFirstProject\"	/s/q   > NUL  2>&1
rmdir "C:\POT_DB2\04DATASTUDIO\WORKSPACE\" 	/s/q   > NUL  2>&1
mkdir "C:\POT_DB2\04DATASTUDIO\WORKSPACE\"	       > NUL  2>&1

