::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Self Tuning Memory Management (STMM) Lab - View parameters - BEFORE 
REM ----------------------------------------------------------------------

TITLE Autonom04.CMD - STMM View parameters BEFORE

SET OUTFILE1=%~n0_OUTPUT1.TXT

ECHO off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE1%
ECHO.


ECHO ---------------------------------------------------------------------
ECHO View Database AUTONMDB Autonomic related Config Parameters - BEFORE
ECHO ---------------------------------------------------------------------
ECHO.

db2 connect to autonmdb

ECHO Database AUTONMDB Autonomic related Configuration Parameters - BEFORE	>  %OUTFILE1%
ECHO ===================================================================== 	>> %OUTFILE1%
ECHO.										>> %OUTFILE1%
db2 get db cfg show detail | FINDSTR "SELF_TUNING_MEM" 	>> %OUTFILE1%
db2 get db cfg show detail | FINDSTR "DATABASE MEMORY" 	>> %OUTFILE1%
db2 get db cfg show detail | FINDSTR "PCKCACHESZ" 	>> %OUTFILE1%
db2 get db cfg show detail | FINDSTR "LOCKLIST" 	>> %OUTFILE1%
db2 get db cfg show detail | FINDSTR "SORTHEAP" 	>> %OUTFILE1%
db2 get db cfg show detail | FINDSTR "SHEAPTHRES_SHR" 	>> %OUTFILE1%
ECHO.			>> %OUTFILE1%
ECHO %DATE% %TIME% 	>> %OUTFILE1%


SET OUTFILE2=%~n0_OUTPUT2.TXT

ECHO Buffer Pool Settings - BEFORE	>  %OUTFILE2%
ECHO ============================= 	>> %OUTFILE2%
ECHO.					>> %OUTFILE2%

db2pd -bufferpools -d autonmdb 	>> %OUTFILE2%
ECHO.				>> %OUTFILE2%
ECHO %DATE% %TIME% 		>> %OUTFILE2%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO %OUTFILE1% - BEFORE configuration parameters - please review
ECHO %OUTFILE2% - BEFORE bufferpool information   - please review
ECHO ---------------------------------------------------------------------
ECHO.