DROP	TABLESPACE TEST_AUTO_STG;
DROP	TABLESPACE TEST_NONAUTO_STG;

CREATE 	TABLESPACE TEST_AUTO_STG 
	PAGESIZE 	16 K  
	MANAGED 	BY AUTOMATIC STORAGE 
	EXTENTSIZE 	8 
	OVERHEAD 	12.5 
	PREFETCHSIZE 	8 
	TRANSFERRATE 	0.13 
	BUFFERPOOL 	STMM_BUFFERPOOL  
	DROPPED TABLE 	RECOVERY OFF;

COMMENT ON TABLESPACE TEST_AUTO_STG IS 'Test Automatic Storage Usage';



CREATE 	TABLESPACE TEST_NONAUTO_STG 
	PAGESIZE 	16 K  
	MANAGED 	BY DATABASE  
	USING 		( FILE 'C:\DB2\TEST_NONAUTO_STG.DBF' 640 )  

	EXTENTSIZE 	8 
	OVERHEAD 	12.5 
	PREFETCHSIZE 	8 
	TRANSFERRATE 	0.13 
	BUFFERPOOL 	STMM_BUFFERPOOL  
	DROPPED TABLE 	RECOVERY OFF;

COMMENT ON TABLESPACE TEST_NONAUTO_STG IS 'Test NON-Automatic Storage Usage';
