-- ------------------------------------------------------------------- 
-- Find DMS table spaces
-- ------------------------------------------------------------------- 

SELECT 	SUBSTR(TBSP_NAME,1,25) AS TABLESPACE_NAME, 
	TBSP_TYPE,
	DECODE(TBSP_USING_AUTO_STORAGE,1,'YES', 'NO') AS USING_AUTO_STORAGE 
FROM 	SYSIBMADM.SNAPTBSP
ORDER BY 1;

--WHERE	TBSP_TYPE = 'DMS';


-- ------------------------------------------------------------------- 
-- Find containers for DMS table spaces
-- ------------------------------------------------------------------- 

SELECT 	SUBSTR(TBSP_NAME,1,25) AS TABLESPACE_NAME, 
	SUBSTR(CONTAINER_NAME,1,50) AS CONTAINER_NAME
FROM 	SYSIBMADM.SNAPCONTAINER
ORDER BY 1;



