::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM RUN CONFIGURATION ADVISOR (Command Line)     
REM ---------------------------------------------------------------------- 

TITLE Autonom20.CMD - Run Configuration Advisor

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO RUN CONFIGURATION ADVISOR (Command Line)
ECHO ---------------------------------------------------------------------
ECHO.

db2 connect to autonmdb >> %OUTFILE%

db2 -tf Autonom21.DB2 	>> %OUTFILE%

db2 connect reset 	>> %OUTFILE%
db2 terminate 		>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is "AUTOCONFIGURE" command.
ECHO Please review this command in Autonom21.DB2 file.
ECHO Please check the output file '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.

