::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM CLEAN-UP RESOURCES 
REM ------------------------------------------------------------------- 

TITLE Security50.BAT - Security clean-up resources

@echo off
cls

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Security LAB - CLEAN-UP RESOURCES. 
ECHO --------------------------------------------------------------------------------
ECHO.

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO DELETE ALL OUT FILES FROM C:\POT_DB2\06SECURITY Directory
ECHO --------------------------------------------------------------------------------
ECHO.

del "C:\POT_DB2\06SECURITY\*_OUTPUT.TXT" /s/q/f  > NUL

IF EXIST C:\db2audit\nul (
  rmdir "C:\db2audit" /s/q > NUL
)

IF EXIST C:\db2auditArchive\nul (
  rmdir "C:\db2auditArchive" /s/q > NUL
)

IF EXIST C:\db2auditextract\nul (
  rmdir "C:\db2auditExtract" /s/q > NUL
)

NET USER /DEL SECPOT  > NUL

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Delete security users
ECHO --------------------------------------------------------------------------------

NET USER /DEL CEO > NUL
NET USER /DEL EAST > NUL
NET USER /DEL WEST > NUL
NET USER /DEL CENTRAL > NUL



