::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM  Create a table and a stored procedure to monitor SQL execution
REM ----------------------------------------------------------------------


TITLE %~n0.CMD - Create a Stored Procedure to monitor

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.

ECHO ---------------------------------------------------------------------
ECHO Create table:            MONITOR_TAB
ECHO Create stored procedure: MONITOR_SP
ECHO ---------------------------------------------------------------------
ECHO.

SET DB2INSTANCE=DB2

db2 CONNECT TO SAMPLE 		> NUL

db2 DROP TABLE MONITOR_TAB 	> NUL
db2 DROP TABLESPACE DATA   	> NUL
db2 DROP BUFFERPOOL DATA   	> NUL
db2 DROP TABLESPACE IDX    	> NUL
db2 DROP BUFFERPOOL IDX    	> NUL

DB2 SET SQLCOMPAT PLSQL

db2 -tf Monitor04.SQL 		>> %OUTFILE%

DB2 SET SQLCOMPAT DB2

db2 CONNECT RESET 		> NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Check the output file %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.
