::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM MDC Lab 10 - Use DB2BATCH benchmark testing tool to test MDC table
REM              vs. non MDC on a FETCH                           
REM -------------------------------------------------------------------

TITLE MDC07.CMD - db2batch 

@echo off
cls
@ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%

set db2instance=db2
db2stop force
db2start

ECHO.
ECHO -----------------------------------------------------------------
ECHO Run Non MDC batch test
ECHO -----------------------------------------------------------------
ECHO.

db2batch -d gsdb -f MDC08.DB2 -r MDC07_OUTPUT_NONMDC.OUT

ECHO.
ECHO -----------------------------------------------------------------
ECHO Run MDC batch test
ECHO -----------------------------------------------------------------
ECHO.

db2batch -d gsdb -f MDC09.DB2 -r MDC07_OUTPUT_MDC.OUT

ECHO.
ECHO -----------------------------------------------------------------
ECHO The heart of this excercise uses the db2batch utility
ECHO Please review the MDC07_OUTPUT*.OUT files for results
ECHO -----------------------------------------------------------------
ECHO.