::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM CLEAN-UP RESOURCES FOR THIS LAB
REM ----------------------------------------------------------------------

TITLE MDC50.BAT - MDC Clean-up resources

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO MDC LAB - CLEAN-UP RESOURCES.
ECHO ---------------------------------------------------------------------
ECHO.

DROP TABLE CARS;
DROP TABLE CARS_MDC;

DROP TABLESPACE CARS_DATA;
DROP TABLESPACE CARS_INDEX;
DROP TABLESPACE CARS_MDC_DATA;
DROP TABLESPACE CARS_MDC_INDEX;

DROP BUFFERPOOL CARS_MDC_BP_DATA;
DROP BUFFERPOOL CARS_MDC_BP_INDEX;
DROP BUFFERPOOL CARS_BP_DATA;
DROP BUFFERPOOL CARS_BP_INDEX;

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUT FILES FROM C:\POT_DB2\10MDC Directory
ECHO ---------------------------------------------------------------------
ECHO.

del  "C:\POT_DB2\10MDC\*_OUTPUT.TXT" 		/s/q/f > NUL
del  "C:\POT_DB2\10MDC\*_OUTPUT_LOADMSG*.TXT" 	/s/q/f > NUL
del  "C:\POT_DB2\10MDC\*_OUTPUT*.OUT" 		/s/q/f > NUL
del  "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\MDC10.DAT" /s/q/f > NUL


@echo * =============================================================== *
@echo * Cleaning up subdirectories...
@echo * =============================================================== *

IF EXIST C:\DB2\CARS_DATA_CONTAINER1\nul (
  @echo.
  rmdir "C:\DB2\CARS_DATA_CONTAINER1" /s/q
)

IF EXIST C:\DB2\CARS_MDC_DATA_CONTAINER1\nul (
  @echo.
  rmdir "C:\DB2\CARS_MDC_DATA_CONTAINER1" /s/q 
)




