::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM CREATE A TPCD DATABASE, LOAD DATA AND RUN DB2ADVIS TOOL
REM ----------------------------------------------------------------------

TITLE Design30.CMD - Run db2advis

SET OUTFILE=%~n0_DB2advis_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO RUNNING DB2 DESIGN ADVISOR TOOL VIA THE COMMAND LINE
ECHO While you are waiting, move onto the GUI exercise...
ECHO ---------------------------------------------------------------------
ECHO.

db2advis -db tpcd -type MI -file Design16.DDL -schema TPCD -compress off -c SMS > %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is db2advis command.
ECHO       Review the output in %OUTFILE%.
ECHO ---------------------------------------------------------------------
ECHO.