::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM CONVERTING NON-UNICODE DATABASE TO UNICODE DATABASE
REM ------------------------------------------------------------------- 

TITLE Data10.CMD - db2move dump of data

SET OUTFILE=C:\POT_DB2\12DATA\%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 	> %OUTFILE%
ECHO CONVERTING NON-UNICODE DATABASE TO UNICODE DATABASE
ECHO ---------------------------------------------------------------------

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Set up working directory C:\POT_DB2\12DATA\DUMP
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2

REM ----------------------------------------------------------------------
REM create a working dump directory
REM ----------------------------------------------------------------------

IF EXIST C:\POT_DB2\12DATA\DUMP\nul (
   rmdir /s/q C:\POT_DB2\12DATA\DUMP 						>> %OUTFILE%
)

IF NOT EXIST C:\POT_DB2\12DATA\DUMP\nul (
  ECHO.
  ECHO CREATING C:\POT_DB2\12DATA\DUMP directory
  ECHO.
  mkdir C:\POT_DB2\12DATA\DUMP 							>> %OUTFILE%
)

cd c:\POT_DB2\12DATA\DUMP  							>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 1. Use DB2MOVE to dump the data with the EXPORT option
ECHO ---------------------------------------------------------------------
ECHO.

db2move data export 								>> %OUTFILE%

cd c:\POT_DB2\12DATA\

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the db2move 
ECHO ---------------------------------------------------------------------
ECHO.
