::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Demonstrate ADMIN_MOVE_TABLE stored procedure
REM ----------------------------------------------------------------------

TITLE Data20.CMD - Demonstrate ADMIN_MOVE_TABLE stored procedure

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO ---------------------------------------------------------------------


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Demonstrate ADMIN_MOVE_TABLE stored procedure
ECHO ---------------------------------------------------------------------
ECHO.

ECHO ---------------------------------------------------------------------
ECHO check location of table before
ECHO --------------------------------------------------------------------- 
ECHO.

db2 connect to GSDB  					>> %OUTFILE%

DB2 	SELECT 	SUBSTR(CREATOR,1,10) SCHEMA, ^
		SUBSTR(NAME,1,15) TABLE_NAME, ^
		SUBSTR(TBSPACE,1,15) TABLESPACE ^
	FROM 	SYSIBM.SYSTABLES ^
	WHERE 	CREATOR = 'GOSALES' AND NAME = 'INVENTORY_LEVELS'


ECHO ---------------------------------------------------------------------
ECHO Move table INVENTORY_LEVELS to change table space location
ECHO --------------------------------------------------------------------- 
ECHO.

db2 -tvf Data21A.DB2					>> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO check location of table after
ECHO --------------------------------------------------------------------- 
ECHO.

DB2 	SELECT 	SUBSTR(CREATOR,1,10) SCHEMA, ^
		SUBSTR(NAME,1,15) TABLE_NAME, ^
		SUBSTR(TBSPACE,1,15) TABLESPACE ^
	FROM 	SYSIBM.SYSTABLES ^
	WHERE 	CREATOR = 'GOSALES' AND NAME = 'INVENTORY_LEVELS'


ECHO ---------------------------------------------------------------------
ECHO COMMIT work after table has moved
ECHO --------------------------------------------------------------------- 
ECHO.

db2 terminate 						>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Check file %OUTFILE% for details of how the ADMIN_MOVE_TABLE
ECHO facility worked.
ECHO ---------------------------------------------------------------------
ECHO.


