::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt.Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------------- 
REM TAKE ONLINE BACKUP OF THE BKPTEST DATABASE
REM ------------------------------------------------------------------------- 

TITLE Backup05.CMD - Online Backup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO TAKE ONLINE BACKUP OF THE BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO KICK-OFF A SCRIPT THAT DOES INSERTS IN THE BACKUPTEST TABLE AND 
ECHO LOADS IN THE BKPLOAD TABLE BEFORE THE ONLINE BACKUP OF THE DATABASE
ECHO STARTS...
ECHO ---------------------------------------------------------------------

db2cmd db2 -tf Backup45.DDL
Backupsleep 10

ECHO.
ECHO ---------------------------------------------------------------------
ECHO STARTING ONLINE BACKUP OF TEST DATABASE
ECHO ---------------------------------------------------------------------

db2 BACKUP DATABASE BKPTEST ONLINE TO "C:\DB2Backup" COMPRESS  UTIL_IMPACT_PRIORITY 50 INCLUDE LOGS WITHOUT PROMPTING >> %OUTFILE%

db2 archive log for database bkptest >> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO ONLINE BACKUP OF BKPTEST DATABASE COMPLETE
ECHO ---------------------------------------------------------------------
ECHO.

ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the db2 command -
ECHO "BACKUP DATABASE BKPTEST ONLINE". Please review that portion carefully.
ECHO Check the OUTPUT FILE '%OUTFILE%'
ECHO ----------------------------------------------------------------------
ECHO.
