-- ------------------------------------------------------------------- 
-- Backup Lab 13 - Usage admin views to see backup information
-- To copy and paste, first highlight the desired text, then:
-- [Ctrl] C - To copy
-- [Ctrl] V - To paste
-- ------------------------------------------------------------------- 
 
-- Enter a Command Editor and Connect to database BKPTEST
--

connect to BKPTEST


-- Most Recent Full Backup
--

SELECT 	max(START_TIME) AS RECENT_FULL_BACKUP 
FROM 	SYSIBMADM.DB_HISTORY 
WHERE	operation = 'B' and operationtype = 'F';


-- Most Recent Online Backup
--

SELECT max(START_TIME)AS RECENT_ONLINE_BACKUP 
FROM   SYSIBMADM.DB_HISTORY 
WHERE  operation = 'B' and operationtype = 'N';


-- Most Recent Incremental Backup
--

SELECT max(start_time) AS RECENT_INCREMENTAL
FROM   sysibmadm.db_history 
WHERE  operation = 'B' and operationtype = 'O'; 


-- Most Recent Incremental Delta Backup
--

SELECT max(start_time) RECENT_INCR_DELTA
FROM   sysibmadm.db_history 
WHERE  operation = 'B' and operationtype = 'E';