::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Extra Lab 16 - Compression Estimate using INSPECT                              
REM ------------------------------------------------------------------- 

TITLE Extra05.CMD - Compression Estimate using INSPECT
SET OUTFILE=%~n0_OUTPUT.TXT
@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% 	>> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.

ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Run INSPECT to estimate compression for tables in COMP1 schema        >> %OUTFILE%
ECHO Run INSPECT to estimate compression for tables in COMP1 schema      
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\Extra05.insp" /s/q/f > NUL 2>&1


DB2 CONNECT TO SAMPLE > NUL

DB2 INSPECT ROWCOMPESTIMATE TABLE NAME ORDERS SCHEMA COMP1 RESULTS KEEP Extra05.insp   >> %OUTFILE%


db2inspf "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\Extra05.insp" Extra05_orders_comp_est.txt

TYPE Extra05_orders_comp_est.txt 	>> %OUTFILE%

del Extra05_orders_comp_est.txt /s/q/f 	> NUL 2>&1


DB2 -tvf Extra16.SQL

ECHO.
ECHO ----------------------------------------------------------------------
ECHO The heart of this script is the INSPECT and DB2INSPF command.
ECHO Please review the OUTPUT FILE '%OUTFILE%' for details on how this works.
ECHO ----------------------------------------------------------------------
ECHO.



@echo on