::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Extra Lab 16-Compression - Demonstrate automatic dictionary compression
REM ------------------------------------------------------------------- 

TITLE Extra13.CMD - Automatic dictionary compression
SET OUTFILE=%~n0_OUTPUT.TXT
@echo off
cls

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% 	>> %OUTFILE%
ECHO --------------------------------------------------------------------------------
ECHO.

@echo.
@echo * =============================================================== *
@echo * STEP #1 - Create table COMP3.ORDERS 
@echo * =============================================================== *
@echo.

db2 connect to sample
db2 -tvf Extra14.DDL 						>> %OUTFILE%


@echo.
@echo * =============================================================== *
@echo * STEP #2 - Generate data for the COMP3.ORDERS table 
@echo * =============================================================== *
@echo.


DEL "Extra04.DAT" 	/q /f > NUL  2>&1
DEL "orders.tbl" 	/q /f > NUL  2>&1

dbgen -s 1 -T O

MOVE orders.tbl   Extra04.DAT


@echo.
@echo * =============================================================== *
@echo * STEP #3 - Load data in the COMP3.ORDERS table 
@echo *           Use Automatic Dictionary Compression - no REORG
@echo * =============================================================== *
@echo.

db2 connect to sample
db2 -tvf Extra15.DDL 							>> %OUTFILE%

DB2 SELECT COUNT(*) FROM COMP3.ORDERS 					>> %OUTFILE%
DB2 SELECT COUNT(*) FROM COMP3.ORDERS

DB2 -tvf Extra16.SQL 							>> %OUTFILE%

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Compression Lab first demonstrating automatic dictionary build and compression
ECHO --------------------------------------------------------------------------------
ECHO.

@echo on