-- Get compression information through the catalog

SELECT  SUBSTR(TABSCHEMA,1,10) AS SCHEMA, 
	SUBSTR(TABNAME,1,10) AS TABLE, 
	INT(CARD) AS CARD, 
	INT(NPAGES) AS NPAGES, 
	INT(AVGCOMPRESSEDROWSIZE) AS AVGCOMPROW, 
	INT(PCTROWSCOMPRESSED) AS PCTROWCOMP, 
	INT(PCTPAGESSAVED) AS PCTPAGESSVD
FROM 	SYSSTAT.TABLES
WHERE 	TABNAME = 'ORDERS';

