-- ----------------------------------------------------------------- 
-- Advanced Lab 15 - FEDERATION setup steps 2 though 5
-- -----------------------------------------------------------------


-- ----------------------------------------------------------------- 
-- STEP #2. CREATE A WRAPPER                               
-- ----------------------------------------------------------------- 

CREATE WRAPPER DRDA LIBRARY 'db2drda.dll';


-- -----------------------------------------------------------------
-- STEP #3. CREATE A SERVER DEFINITION                               
-- ----------------------------------------------------------------- 

CREATE SERVER SAMPLE TYPE DB2/UDB VERSION '9.7' WRAPPER DRDA AUTHID "dbapot" PASSWORD "dbapot123" OPTIONS( ADD DBNAME 'SAMPLE'); 


-- ----------------------------------------------------------------
-- STEP #4. CREATE A USER MAPPING                              
-- ---------------------------------------------------------------- 

CREATE USER MAPPING FOR DBAPOT SERVER SAMPLE OPTIONS ( ADD REMOTE_AUTHID 'dbapot', ADD  REMOTE_PASSWORD 'dbapot123'); 


-- ----------------------------------------------------------------- 
-- STEP #5. CREATE A NICKNAME then select from it                            
-- ----------------------------------------------------------------- 

CREATE NICKNAME DBAPOT.EMP_NICK FOR SAMPLE.DBAPOT.EMPLOYEE; 


SELECT * FROM EMP_NICK FETCH FIRST 10 ROWS ONLY; 